Bug 824958 - [as7] Expose multicast group/port of a ha-server as trait on server level
[as7] Expose multicast group/port of a ha-server as trait on server level
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: JON 3.1.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On: 813066
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-24 13:17 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 813066
Environment:
Last Closed: 2013-09-03 11:13:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-24 13:17:03 EDT
+++ This bug was initially created as a clone of Bug #813066 +++

In as4/5 there was the cluster partition name to "identify" clusters and to e.g. build dynagroups that contain all the members of one cluster. See e.g. https://issues.jboss.org/browse/AS7-4512
In AS7 this feature is deprecated so we need a replacement

One way to do that is to expose the multicast group/port as string trait on server level
(see also https://issues.jboss.org/browse/AS7-4512?focusedCommentId=12684672&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-12684672 )
Comment 1 Ian Springer 2012-05-24 17:12:53 EDT
The fix has been cherry-picked to the release/jon3.1.x branch:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=002707a
http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=94eb3bb
Comment 2 Armine Hovsepyan 2012-08-01 10:07:38 EDT
verified under master.
Comment 5 Heiko W. Rupp 2013-09-03 11:13:05 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.